<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:background="#f8f8f8">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/shape_bg_gradient_rectangle_069cfb_9ae7f4"
                android:paddingTop="15dp"
                android:paddingBottom="23dp">

                <ImageView
                    android:id="@+id/sheep_sign_rectangle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:src="@drawable/loading_01" />

                <ImageView
                    android:id="@+id/sheep_sign_out"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/loading_01" />

                <RelativeLayout
                    android:id="@+id/sheep_sign_egg_rl"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:visibility="gone">

                    <ImageView
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:src="@drawable/niudan8" />

                    <TextView
                        android:id="@+id/sheep_sign_egg_msg"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_alignParentBottom="true"
                        android:layout_marginBottom="5dp"
                        android:gravity="center"
                        android:textColor="@color/white"
                        android:textSize="10sp" />
                </RelativeLayout>

                <com.sheep.jiuyan.samllsheep.ui.view.EggView
                    android:id="@+id/eggs_view"
                    android:layout_width="190dp"
                    android:layout_height="140dp"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="100dp" />

                <ImageView
                    android:id="@+id/sheep_sign_machine"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:scaleType="fitXY"
                    android:src="@drawable/loading_01" />

                <TextView
                    android:id="@+id/active_info"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:background="@drawable/shape_round_rect_bg"
                    android:gravity="center"
                    android:paddingLeft="15dp"
                    android:paddingTop="5dp"
                    android:paddingRight="15dp"
                    android:paddingBottom="5dp"
                    android:text="活动规则"
                    android:textColor="#ffffff"
                    android:textSize="12sp" />
            </RelativeLayout>

            <TextView
                android:id="@+id/sign_info_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="#ffffff"
                android:gravity="center"
                android:paddingTop="20dp"
                android:text="已签到1天 ，继续6天签到可参与刮奖"
                android:textColor="#999999"
                android:textSize="12sp" />

            <LinearLayout
                android:id="@+id/sign_day_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="#ffffff"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_sign_bg_none"
                    android:drawableBottom="@drawable/coin"
                    android:gravity="center"
                    android:minHeight="40dp"
                    android:padding="5dp"
                    android:text="1" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_sign_bg_none"
                    android:drawableBottom="@drawable/coin"
                    android:gravity="center"
                    android:minHeight="40dp"
                    android:padding="5dp"
                    android:text="2" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_sign_bg_none"
                    android:drawableBottom="@drawable/coin"
                    android:gravity="center"
                    android:minHeight="40dp"
                    android:padding="5dp"
                    android:text="3" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_sign_bg_none"
                    android:drawableBottom="@drawable/coin"
                    android:gravity="center"
                    android:minHeight="40dp"
                    android:padding="5dp"
                    android:text="4" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_sign_bg_none"
                    android:drawableBottom="@drawable/coin"
                    android:gravity="center"
                    android:minHeight="40dp"
                    android:padding="5dp"
                    android:text="5" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_margin="10dp"
                    android:layout_weight="1"
                    android:background="@drawable/shape_sign_bg_none"
                    android:drawableBottom="@drawable/gift_dlose"
                    android:gravity="center"
                    android:minHeight="40dp"
                    android:padding="5dp"
                    android:text="6" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/sign_now_but"
                    style="@style/style_button_full"
                    android:layout_width="wrap_content"
                    android:layout_height="32dp"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="20dp"
                    android:paddingLeft="25dp"
                    android:paddingRight="25dp"
                    android:text="签到"
                    android:textColor="@color/white"
                    android:textSize="16sp" />

                <RelativeLayout
                    android:id="@+id/sign_gua_jiang_qu"
                    android:layout_width="320dp"
                    android:layout_height="80dp"
                    android:layout_marginBottom="20dp"
                    android:contentDescription="@string/image_des"
                    android:visibility="gone">
                    <ImageView
                        android:id="@+id/act_sign_eras_iv"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:adjustViewBounds="true"
                        android:scaleType="fitXY"/>
                    <com.sheep.gamegroup.view.customview.ErasableTextView
                        android:id="@+id/sign_etv"
                        android:layout_width="320dp"
                        android:layout_height="80dp"
                        android:gravity="center"
                        android:text="绵羊币：0.01"
                        android:textColor="#999999"
                        android:textSize="30sp" />
                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:background="#ffffff"
                android:orientation="horizontal"
                android:padding="16dp">

                <ImageView
                    android:layout_width="62dp"
                    android:layout_height="62dp"
                    android:layout_marginEnd="12dp"
                    android:adjustViewBounds="true"
                    android:contentDescription="@string/image_des"
                    android:src="@mipmap/icon" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:text="早起打卡，好习惯，高回报"
                        android:textColor="#333333" />

                    <TextView
                        android:id="@+id/go_to_pack_but"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="right"
                        android:background="@drawable/shape_but_blue_bg"
                        android:paddingLeft="10dp"
                        android:paddingTop="5dp"
                        android:paddingRight="10dp"
                        android:paddingBottom="5dp"
                        android:text="立即参与"
                        android:textColor="@color/white"
                        android:textSize="12sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/sign_card_num"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="2000"
                            android:textColor="#fffe5864"
                            android:textSize="10sp" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="人参与"
                            android:textColor="#8E8E8E"
                            android:textSize="10sp" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/go_to_yaoqing"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:layout_marginBottom="10dp"
                android:background="@color/white"
                android:paddingStart="16dp"
                android:paddingTop="12dp"
                android:paddingEnd="16dp"
                android:paddingBottom="12dp">

                <ImageView
                    android:id="@+id/act_sign_ask_friend_iv"
                    android:layout_width="wrap_content"
                    android:layout_height="76dp"
                    android:adjustViewBounds="true"
                    android:contentDescription="@string/image_des"
                    android:scaleType="fitXY"
                    android:src="@drawable/icon" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/act_sign_ask_friend_tv"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="收徒大狂欢"
                        android:textColor="#020202"
                        android:textSize="22sp" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="2dp"
                        android:gravity="end"
                        android:text="邀新最多可获300元"
                        android:textColor="#999999"
                        android:textSize="14sp" />
                </LinearLayout>
            </RelativeLayout>
        </LinearLayout>
    </ScrollView>
</RelativeLayout>